@use "../../../../styles/defaults";
@use "../../../../styles/colors";

.tabs {
  width: 50%;
  margin-inline: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-bottom: 3.2rem;
}

.tab-buttons {
  display: flex;
  justify-content: center;
  width: 100%;
  .tab-button {
    flex-basis: calc(100% / 3);
  }
}

.tab-button {
  font-size: 0.8rem;
  color: colors.$neutral-blue;
  font-weight: 500;
  text-align: center;
  cursor: pointer;
  padding: 0 0 1.6rem;
  &:hover {
    color: colors.$primary-red;
  }
}

.line-row {
  width: 100%;
  height: 0.05rem;
  background-color: #eee;
  position: relative;
}

.line-row-active {
  width: 33%;
  height: 0.2rem;
  background-color: colors.$primary-red;
  position: absolute;
  bottom: 0;
  transition: left 0.3s;
}

.line-start {
  left: 0;
}

.line-centered {
  left: calc(100% / 3);
}

.line-end {
  left: 66.6%;
}

.tab-inactive {
  height: 0;
  visibility: hidden;
  display: none;
}

.tab-active {
  height: auto;
  visibility: visible;
}

.show-from-right {
  animation: showFromTheRight 1s;
}

.show-from-left {
  animation: showFromTheLeft 1s;
}

.hide-to-left {
  animation: hideToTheLeft 1s;
}

.hide-to-right {
  animation: hideToTheRight 1s;
}

@keyframes hideToTheLeft {
  from {
    transform: translateX(0);
    visibility: visible;
  }
  to {
    transform: translateX(-100%);
    visibility: hidden;
  }
}

@keyframes hideToTheRight {
  from {
    transform: translateX(0);
    visibility: visible;
  }
  to {
    transform: translateX(100%);
    visibility: hidden;
  }
}

@keyframes showFromTheLeft {
  from {
    transform: translateX(-100%);
  }
  to {
    transform: translateX(0);
  }
}

@keyframes showFromTheRight {
  from {
    transform: translateX(100%);
  }
  to {
    transform: translateX(0);
  }
}

@media (max-width: defaults.$mobile-width) {
  .line-row {
    display: none;
  }
  .tabs {
    width: 100%;
    padding: 0 2.4rem;
  }
  .tab-buttons {
    flex-direction: column;
  }
  .tab-button {
    border-bottom: 0.1rem solid #eee;
    padding: 0.8rem 0;
    position: relative;
  }
  .tab-button:first-child {
    border-top: 0.1rem solid #eee;
  }
  .tab-button.active:before {
    content: "";
    position: absolute;
    top: 95%;
    left: 50%;
    transform: translateX(-50%);
    width: 50%;
    height: 0.2rem;
    background-color: colors.$primary-red;
  }
}
